Thread (2 messages) flat view 2 messages, 2 authors, 2019-01-18

Re: [PATCH] git-submodule: abort if core.worktree could not be set correctly

From: Junio C Hamano <hidden>
Date: 2019-01-18 23:18:17

Stefan Beller [off-list ref] writes:
quoted hunk
74d4731da1f (submodule--helper: replace connect-gitdir-workingtree by
ensure-core-worktree, 2018-08-13) forgot to exit the submodule operation
if the helper could not ensure that core.worktree is set correctly.

Signed-off-by: Stefan Beller <redacted>
---
 git-submodule.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/git-submodule.sh b/git-submodule.sh
index 5e608f8bad3..02a0d728174 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -548,7 +548,7 @@ cmd_update()
 	do
 		die_if_unmatched "$quickabort" "$sha1"
 
-		git submodule--helper ensure-core-worktree "$sm_path"
+		git submodule--helper ensure-core-worktree "$sm_path" || exit 1
Good to have more places check errors from underlying command.

Thanks.

Out of curiousity, was this found by code inspection, or was there a
real-world breakage episode?
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help